日暮星辰

Zach's Blog

CENTOS7安装最新版的CAMKE3

最近折腾openssl的时候发现谷歌Boring ssl常规编译惊人通不过,查看编译记录发现要求CMAKE3版本及以上。

显然centos里面的yum版本是没有cmake3的。我们只能自己手动安装了。

  1. 查找最新版本的cmake。我们直接渠道cmake官方网站去查吧:https://cmake.org/files/

2.选择最新版本下载到本地,解压缩

wget https://cmake.org/files/v3.16/cmake-3.16.0-rc2.tar.gz
tar xvzf cmake*

3.安装编译依赖。

yum install -y gcc gcc-c++ make automake openssl-devel

4.开始编译,依次运行以下命令。

cd cmake-3.10.0-rc3/
./bootstrap
gmake
gmake install

时间有点长,也只能慢慢等咯…

点赞

发表评论

电子邮件地址不会被公开。 必填项已用*标注

/** * */